---
window:
   # Blank space added around the window in pixels
  padding:
    x: 2
    y: 2

  # Spread additional padding evenly around the terminal content
  dynamic_padding: true

  # Disable border and title bar
  decorations: none
env:
  TERM: xterm-256color
font:
  normal:
    family: Hack Nerd Font 
    style: Regular
  bold:
    family: Hack Nerd Font 
    style: Bold
  italic:
    family: Hack Nerd Font 
    style: Italic
    # Point size of the font
  size: 10

mouse:
  hide_when_typing: true

selection:
  # When set to `true`, selected text will be copied to the primary
  # clipboard.
  save_to_clipboard: true

cursor:
  style:
    blinking: Always
  # Thickness of the cursor (number from `0.0` to `1.0`)
  thickness: 0.18
  # Vi mode cursor style
  vi_mode_style: Block
  # Blink Interval
  blink_interval: 400

  ###########################################################
  #                        Themes                           #
  ###########################################################
schemes:
# For themes -> https://github.com/aarowill/base16-alacritty
  # Base16 Monokai 256 - alacritty color config
  # Wimer Hazenberg (http://www.monokai.nl)
  monokai: &monokai
    # Default colors
    primary:
      background: '0x2d2a2e'
      foreground: '0xf8f8f2'
  
    # Colors the cursor will use if `custom_cursor_colors` is true
    cursor:
      text: '0x272822'
      cursor: '0xf8f8f2'
  
    # Normal colors
    normal:
      black:   '0x272822'
      red:     '0xf92672'
      green:   '0xa6e22e'
      yellow:  '0xf4bf75'
      blue:    '0x66d9ef'
      magenta: '0xae81ff'
      cyan:    '0xa1efe4'
      white:   '0xf8f8f2'
  
    # Bright colors
    bright:
      black:   '0x75715e'
      red:     '0xf92672'
      green:   '0xa6e22e'
      yellow:  '0xf4bf75'
      blue:    '0x66d9ef'
      magenta: '0xae81ff'
      cyan:    '0xa1efe4'
      white:   '0xf9f8f5'

    indexed_colors:
      - { index: 16, color: '0xfd971f' }
      - { index: 17, color: '0xcc6633' }
      - { index: 18, color: '0x383830' }
      - { index: 19, color: '0x49483e' }
      - { index: 20, color: '0xa59f85' }
      - { index: 21, color: '0xf5f4f1' }
  # Base16 Gruvbox dark, medium 256 - alacritty color config
  # Dawid Kurek (dawikur@gmail.com), morhetz (https://github.com/morhetz/gruvbox)
  gruvbox: &gruvbox
    # Default colors
    primary:
      background: '0x282828'
      foreground: '0xd5c4a1'
  
    # Colors the cursor will use if `custom_cursor_colors` is true
    cursor:
      text: '0x282828'
      cursor: '0xd5c4a1'
  
    # Normal colors
    normal:
      black:   '0x282828'
      red:     '0xfb4934'
      green:   '0xb8bb26'
      yellow:  '0xfabd2f'
      blue:    '0x83a598'
      magenta: '0xd3869b'
      cyan:    '0x8ec07c'
      white:   '0xd5c4a1'
  
    # Bright colors
    bright:
      black:   '0x665c54'
      red:     '0xfb4934'
      green:   '0xb8bb26'
      yellow:  '0xfabd2f'
      blue:    '0x83a598'
      magenta: '0xd3869b'
      cyan:    '0x8ec07c'
      white:   '0xfbf1c7'
  
    indexed_colors:
      - { index: 16, color: '0xfe8019' }
      - { index: 17, color: '0xd65d0e' }
      - { index: 18, color: '0x3c3836' }
      - { index: 19, color: '0x504945' }
      - { index: 20, color: '0xbdae93' }
      - { index: 21, color: '0xebdbb2' }

  # Base16 Tomorrow Night - alacritty color config
  # Chris Kempson (http://chriskempson.com)
  tomorrow-night: &tomorrow-night
    # Default colors
    primary:
      background: '0x1d1f21'
      foreground: '0xc5c8c6'

    # Colors the cursor will use if `custom_cursor_colors` is true
    cursor:
      text: '0x1d1f21'
      cursor: '0xc5c8c6'

    # Normal colors
    normal:
      black:   '0x1d1f21'
      red:     '0xcc6666'
      green:   '0xb5bd68'
      yellow:  '0xf0c674'
      blue:    '0x81a2be'
      magenta: '0xb294bb'
      cyan:    '0x8abeb7'
      white:   '0xc5c8c6'

    # Bright colors
    bright:
      black:   '0x969896'
      red:     '0xcc6666'
      green:   '0xb5bd68'
      yellow:  '0xf0c674'
      blue:    '0x81a2be'
      magenta: '0xb294bb'
      cyan:    '0x8abeb7'
      white:   '0xffffff'

    indexed_colors:
      - { index: 16, color: '0xde935f' }
      - { index: 17, color: '0xa3685a' }
      - { index: 18, color: '0x282a2e' }
      - { index: 19, color: '0x373b41' }
      - { index: 20, color: '0xb4b7b4' }
      - { index: 21, color: '0xe0e0e0' }
  # Base16 Dracula 256 - alacritty color config
  # Mike Barkmin (http://github.com/mikebarkmin) based on Dracula Theme (http://github.com/dracula)
  dracula: &drakula
    # Default colors
    primary:
      background: '0x282936'
      foreground: '0xe9e9f4'
  
    # Colors the cursor will use if `custom_cursor_colors` is true
    cursor:
      text: '0x282936'
      cursor: '0xe9e9f4'
  
    # Normal colors
    normal:
      black:   '0x282936'
      red:     '0xea51b2'
      green:   '0xebff87'
      yellow:  '0x00f769'
      blue:    '0x62d6e8'
      magenta: '0xb45bcf'
      cyan:    '0xa1efe4'
      white:   '0xe9e9f4'
  
    # Bright colors
    bright:
      black:   '0x626483'
      red:     '0xea51b2'
      green:   '0xebff87'
      yellow:  '0x00f769'
      blue:    '0x62d6e8'
      magenta: '0xb45bcf'
      cyan:    '0xa1efe4'
      white:   '0xf7f7fb'
  
    indexed_colors:
      - { index: 16, color: '0xb45bcf' }
      - { index: 17, color: '0x00f769' }
      - { index: 18, color: '0x3a3c4e' }
      - { index: 19, color: '0x4d4f68' }
      - { index: 20, color: '0x62d6e8' }
      - { index: 21, color: '0xf1f2f8' }
  # Base16 OneDark 256 - alacritty color config
  # Lalit Magant (http://github.com/tilal6991)
  onedark: &onedark
    # Default colors
    primary:
      background: '0x282c34'
      foreground: '0xabb2bf'
  
    # Colors the cursor will use if `custom_cursor_colors` is true
    cursor:
      text: '0x282c34'
      cursor: '0xabb2bf'
  
    # Normal colors
    normal:
      black:   '0x282c34'
      red:     '0xe06c75'
      green:   '0x98c379'
      yellow:  '0xe5c07b'
      blue:    '0x61afef'
      magenta: '0xc678dd'
      cyan:    '0x56b6c2'
      white:   '0xabb2bf'
  
    # Bright colors
    bright:
      black:   '0x545862'
      red:     '0xe06c75'
      green:   '0x98c379'
      yellow:  '0xe5c07b'
      blue:    '0x61afef'
      magenta: '0xc678dd'
      cyan:    '0x56b6c2'
      white:   '0xc8ccd4'
  
    indexed_colors:
      - { index: 16, color: '0xd19a66' }
      - { index: 17, color: '0xbe5046' }
      - { index: 18, color: '0x353b45' }
      - { index: 19, color: '0x3e4451' }
      - { index: 20, color: '0x565c64' }
      - { index: 21, color: '0xb6bdca' }
  # Copyright (c) 2017-present Arctic Ice Studio <development@arcticicestudio.com>
  # Copyright (c) 2017-present Sven Greb <code@svengreb.de>
  
  # Project:    Nord Alacritty
  # Version:    0.1.0
  # Repository: https://github.com/arcticicestudio/nord-alacritty
  # License:    MIT
  # References:
  #   https://github.com/alacritty/alacritty
  
  nord: &nord
    primary:
      background: '#2e3440'
      foreground: '#d8dee9'
      dim_foreground: '#a5abb6'
    cursor:
      text: '#2e3440'
      cursor: '#d8dee9'
    vi_mode_cursor:
      text: '#2e3440'
      cursor: '#d8dee9'
    selection:
      text: CellForeground
      background: '#4c566a'
    search:
      matches:
        foreground: CellBackground
        background: '#88c0d0'
      bar:
        background: '#434c5e'
        foreground: '#d8dee9'
    normal:
      black: '#3b4252'
      red: '#bf616a'
      green: '#a3be8c'
      yellow: '#ebcb8b'
      blue: '#81a1c1'
      magenta: '#b48ead'
      cyan: '#88c0d0'
      white: '#e5e9f0'
    bright:
      black: '#4c566a'
      red: '#bf616a'
      green: '#a3be8c'
      yellow: '#ebcb8b'
      blue: '#81a1c1'
      magenta: '#b48ead'
      cyan: '#8fbcbb'
      white: '#eceff4'
    dim:
      black: '#373e4d'
      red: '#94545d'
      green: '#809575'
      yellow: '#b29e75'
      blue: '#68809a'
      magenta: '#8c738c'
      cyan: '#6d96a5'
      white: '#aeb3bb'

draw_bold_text_with_bright_colors: true
colors: *gruvbox
